New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Babel 6 compatibility #90

Closed
megheaiulian opened this Issue Nov 17, 2015 · 4 comments

Comments

2 participants
@megheaiulian
Contributor

megheaiulian commented Nov 17, 2015

There is backward-incompatible change from Babel 5.x to 6 as stage option is replaced with presets.

@gpbl

This comment has been minimized.

Show comment
Hide comment
@gpbl

gpbl Nov 17, 2015

Owner

Yes, the source code is not yet using Babel 6. I wonder is this a problem?

Owner

gpbl commented Nov 17, 2015

Yes, the source code is not yet using Babel 6. I wonder is this a problem?

@gpbl

This comment has been minimized.

Show comment
Hide comment
@gpbl

gpbl Nov 21, 2015

Owner

I'm trying to upgrade to babel 6 in #99. @megheaiulian care to explain your experience? Because I also have some problems :)

Owner

gpbl commented Nov 21, 2015

I'm trying to upgrade to babel 6 in #99. @megheaiulian care to explain your experience? Because I also have some problems :)

@megheaiulian

This comment has been minimized.

Show comment
Hide comment
@megheaiulian

megheaiulian Nov 23, 2015

Contributor

@gpbl
It seems that if you just setup a correct .babelrc the code is already compatible with Babel 6.
I see you get a lot of errors in your pull request. Try maybe to use only babel-preset-stage-0 ?

Contributor

megheaiulian commented Nov 23, 2015

@gpbl
It seems that if you just setup a correct .babelrc the code is already compatible with Babel 6.
I see you get a lot of errors in your pull request. Try maybe to use only babel-preset-stage-0 ?

@gpbl

This comment has been minimized.

Show comment
Hide comment
@gpbl

gpbl Nov 23, 2015

Owner

I have no idea. It seems everything is right there.

Owner

gpbl commented Nov 23, 2015

I have no idea. It seems everything is right there.

@gpbl gpbl closed this in 53a571a Jan 23, 2016

gpbl added a commit that referenced this issue Jan 23, 2016

gpbl added a commit that referenced this issue Jan 23, 2016

Merge pull request #124 from gpbl/babel-6-exports
Make sure utils are exported correctly (#90)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment